aboutsummaryrefslogtreecommitdiff
path: root/www-apps
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2022-12-24 15:58:23 -0500
committerJulien Roy <julien@jroy.ca>2022-12-24 15:58:23 -0500
commita65856a1031e2bbb75145dfa18098ecd0073db77 (patch)
tree3471e18cdf8a83cac572fda96317950cd9d4c28b /www-apps
parente9bd91a8ca82171fa876847bea8be30549a9e583 (diff)
downloadMrRoy-Overlay-a65856a1031e2bbb75145dfa18098ecd0073db77.tar.gz
MrRoy-Overlay-a65856a1031e2bbb75145dfa18098ecd0073db77.tar.bz2
MrRoy-Overlay-a65856a1031e2bbb75145dfa18098ecd0073db77.zip
www-apps/meta-srht: fix go install
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/meta-srht/Manifest1
-rw-r--r--www-apps/meta-srht/meta-srht-0.54.4.ebuild51
-rw-r--r--www-apps/meta-srht/metadata.xml17
3 files changed, 69 insertions, 0 deletions
diff --git a/www-apps/meta-srht/Manifest b/www-apps/meta-srht/Manifest
new file mode 100644
index 0000000..87adeb7
--- /dev/null
+++ b/www-apps/meta-srht/Manifest
@@ -0,0 +1 @@
+DIST meta-srht-0.54.4.tar.gz 585911 BLAKE2B 46face01a619d793e4645d5d41809370cab6e2685c6facc29a8ec9b3a1f37996d6fae6d0c2249dc281e7411cf5fd8a63dfe7ecf71921a28bc34d32d641164fcd SHA512 b9943addfdd14c55ed55378ea9b4be182c36b72c6f314ed4a59e2379fe9316bc3e1fa94d2bf654dcb2f65d8af9e4823a468282ae7ea9de90dfdfc4f490f38ad3
diff --git a/www-apps/meta-srht/meta-srht-0.54.4.ebuild b/www-apps/meta-srht/meta-srht-0.54.4.ebuild
new file mode 100644
index 0000000..476f9e4
--- /dev/null
+++ b/www-apps/meta-srht/meta-srht-0.54.4.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 go-module optfeature systemd
+
+BOOTSTRAPVER="4.1.1"
+DESCRIPTION="The central authentication and account service for sr.ht"
+HOMEPAGE="https://git.sr.ht/~sircmpwn/meta.sr.ht"
+SRC_URI="http://git.sr.ht/~sircmpwn/meta.sr.ht/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="network-sandbox"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-db/redis[${PYTHON_USEDEP}]
+ dev-python/dnspython[${PYTHON_USEDEP}]
+ dev-python/bcrypt[${PYTHON_USEDEP}]
+ dev-python/qrcode[${PYTHON_USEDEP}]
+ dev-python/redis-py[${PYTHON_USEDEP}]
+ dev-python/python-srht[${PYTHON_USEDEP}]
+ dev-python/python-sshpubkeys[${PYTHON_USEDEP}]
+ dev-python/zxcvbn[${PYTHON_USEDEP}]
+ www-servers/gunicorn[${PYTHON_USEDEP}]
+"
+BDEPEND="net-libs/nodejs
+ dev-lang/sassc
+ dev-lang/go
+"
+
+S="${WORKDIR}/meta.sr.ht-${PV}"
+
+src_unpack() {
+ default_src_unpack
+}
+
+src_compile() {
+ distutils-r1_src_compile
+ cd "${S}/api" || die
+ ego build -o metasrht-api
+}
+
+plg_postinst() {
+ optfeature "billing support" "dev-python/stripe dev-python/weasyprint"
+}
diff --git a/www-apps/meta-srht/metadata.xml b/www-apps/meta-srht/metadata.xml
new file mode 100644
index 0000000..83d6e1e
--- /dev/null
+++ b/www-apps/meta-srht/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>julien@jroy.ca</email>
+ <name>Julien Roy</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <name>Drew DeVault</name>
+ <email>sir@cmpwn.com</email>
+ </maintainer>
+ <changelog>https://git.sr.ht/~sircmpwn/meta.sr.ht/refs</changelog>
+ <doc>https://man.sr.ht/meta.sr.ht/</doc>
+ <remote-id type="sourcehut">meta.sr.ht</remote-id>
+ </upstream>
+</pkgmetadata>